Loading...
Searching...
No Matches
Dune::MatrixDimension< Matrix< FieldMatrix< K, n, m >, TA > > Struct Template Reference

`#include <dune/istl/matrixutils.hh>`

Inheritance diagram for Dune::MatrixDimension< Matrix< FieldMatrix< K, n, m >, TA > >:

## Public Types

typedef Matrix< FieldMatrix< K, n, m >, TA > | ThisMatrix
typedef ThisMatrix::size_type | size_type

## Static Public Member Functions

static size_type | rowdim (const ThisMatrix &, size_type)
static size_type | coldim (const ThisMatrix &, size_type)
static size_type | rowdim (const ThisMatrix &A)
static size_type | coldim (const ThisMatrix &A)

## Member Typedef Documentation

## size_type

template<typename K, int n, int m, typename TA>

typedef ThisMatrix::size_type Dune::MatrixDimension< Matrix< FieldMatrix< K, n, m >, TA > >::size_type

## ThisMatrix

template<typename K, int n, int m, typename TA>

typedef Matrix<FieldMatrix<K,n,m>, TA> Dune::MatrixDimension< Matrix< FieldMatrix< K, n, m >, TA > >::ThisMatrix

## Member Function Documentation

## coldim() [1/2]

template<typename K, int n, int m, typename TA>

size_type Dune::MatrixDimension< Matrix< FieldMatrix< K, n, m >, TA > >::coldim | ( | const ThisMatrix & | ,
|  | size_type | )

inline static

## coldim() [2/2]

template<typename K, int n, int m, typename TA>

size_type Dune::MatrixDimension< Matrix< FieldMatrix< K, n, m >, TA > >::coldim | ( | const ThisMatrix & | A | ) |

inline static

## rowdim() [1/2]

template<typename K, int n, int m, typename TA>

size_type Dune::MatrixDimension< Matrix< FieldMatrix< K, n, m >, TA > >::rowdim | ( | const ThisMatrix & | ,
|  | size_type | )

inline static

## rowdim() [2/2]

template<typename K, int n, int m, typename TA>

size_type Dune::MatrixDimension< Matrix< FieldMatrix< K, n, m >, TA > >::rowdim | ( | const ThisMatrix & | A | ) |

inline static

The documentation for this struct was generated from the following file:

- matrixutils.hh